Đến nội dung


Hình ảnh

Thay thế kiểu dim của 1 bản vẽ bằng 1 kiểu dim đã được định nghĩa ở 1 bản vẽ khác !!!


  • Please log in to reply
7 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 12 May 2009 - 03:23 PM

Bác Pro nào bit cách thay thế các tùy chọn của 1 kiểu Dim bằng các tùy chọn của 1 kiểu Dim khác của bản vẽ khác hoặc bản vẽ đó thì chỉ cho em với !!!
  • 0
Hoàng Giang

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 May 2009 - 03:37 PM

Bác Pro nào bit cách thay thế các tùy chọn của 1 kiểu Dim bằng các tùy chọn của 1 kiểu Dim khác của bản vẽ khác hoặc bản vẽ đó thì chỉ cho em với !!!


kiểu Dim khác của bản vẽ khác hoặc bản vẽ đó nghĩa là sao hở bạn? Có thể nói rõ hơn không?
Các Kiểu Dim phải cùng nằm trong cùng 1 bản vẽ chứ bạn?
Bạn phải nói rõ là thay thế như thế nào ? thay thế toàn bộ hay thây thế kiểu Dimstyle, kiểu Text hay là .......
Mô tả kĩ nhé. Mọi người sẽ giúp bạn
  • 0

#3 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 12 May 2009 - 03:56 PM

Bác Pro nào bit cách thay thế các tùy chọn của 1 kiểu Dim bằng các tùy chọn của 1 kiểu Dim khác của bản vẽ khác hoặc bản vẽ đó thì chỉ cho em với !!!

Copy kiểu Dim từ bản vẽ kia rồi Paste sang bản vẽ nọ rồi dùng MA là được liền
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#4 tuanhvu

tuanhvu

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 89 (tàm tạm)

Đã gửi 12 May 2009 - 04:11 PM

Copy kiểu Dim từ bản vẽ kia rồi Paste sang bản vẽ nọ rồi dùng MA là được liền

Dùng Design Center (lệnh DC) rồi add kiểu Dim ở bản vẽ khác vào rồi thay đổi là được.
  • 1

#5 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 13 May 2009 - 01:19 PM

Dùng Design Center (lệnh DC) rồi add kiểu Dim ở bản vẽ khác vào rồi thay đổi là được.

ko được bác à ! Vấn đề là các nét Dim của em đã Dim từ trước rùi. Em muốn nó có thuộc tính của 1 kiểu Dim lấy từ bản vẽ khác cơ ? Làm sao thay đổi bằng DC được. Trước khi Up lên diễn đàn em đã ngồi lần mò với DC chán rùi nhưng hiện tại vẫn chưa tìm ra lời giải. Mong các bác Pro quan tâm júp đỡ.Thanks !
Còn cái chiêu Copy xong Ma thì nông nghiệp quá, Nếu 1 bản vẽ to và có nhiều kiểu Dim khác nhau thì bit đường nào mà Ma.Túm lại là ko dùng cách Ma được.
  • 0
Hoàng Giang

#6 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 15 May 2009 - 05:34 AM

ko được bác à ! Vấn đề là các nét Dim của em đã Dim từ trước rùi. Em muốn nó có thuộc tính của 1 kiểu Dim lấy từ bản vẽ khác cơ ? Làm sao thay đổi bằng DC được. Trước khi Up lên diễn đàn em đã ngồi lần mò với DC chán rùi nhưng hiện tại vẫn chưa tìm ra lời giải. Mong các bác Pro quan tâm júp đỡ.Thanks !
Còn cái chiêu Copy xong Ma thì nông nghiệp quá, Nếu 1 bản vẽ to và có nhiều kiểu Dim khác nhau thì bit đường nào mà Ma.Túm lại là ko dùng cách Ma được.

Sử dụng lệnh MA được mà bạn. Sao lại nông dân? Bạn dùng bộ lọc Quick Select hay filter chọn trước dimstyle
Sau đó dùng lệnh MA và ở dòng này , bạn gõ chữ P
Command: MATCHPROP
Select source object:
Current active settings: Color Layer Ltype Ltscale Lineweight Thickness
PlotStyle Text Dim Hatch Polyline Viewport

Select destination object(s) or [Settings]: P


Select destination object(s) or [Settings]:

Còn nếu bạn muốn sử dụng Lisp thì đây :
(defun c:thaydim()

(setq ssd (car(entsel "\n Chon dim tren ban ve can thay the :")))
(setq ent (entget ssd))

(setq ss (ssget "X" (list (cons 0 "DIMENSION") (assoc 3 ent))))
(setq sst (car(entsel "\n Chon dim thay the :")))
(Command "MATCHPROP" sst ss "")
(princ)
)

  • 1

#7 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 15 May 2009 - 09:12 AM

ko được bác à ! Vấn đề là các nét Dim của em đã Dim từ trước rùi. Em muốn nó có thuộc tính của 1 kiểu Dim lấy từ bản vẽ khác cơ ? Làm sao thay đổi bằng DC được. Trước khi Up lên diễn đàn em đã ngồi lần mò với DC chán rùi nhưng hiện tại vẫn chưa tìm ra lời giải. Mong các bác Pro quan tâm júp đỡ.Thanks !
Còn cái chiêu Copy xong Ma thì nông nghiệp quá, Nếu 1 bản vẽ to và có nhiều kiểu Dim khác nhau thì bit đường nào mà Ma.Túm lại là ko dùng cách Ma được.

ban add hoặc copy cái dim đó sang bản vẽ rồi vào Dimension/ Update là OK luôn (nhớ là phải để dim đó là dim hiện hành)
Hình đã gửi
  • 2
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#8 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 18 May 2009 - 12:59 PM

ban add hoặc copy cái dim đó sang bản vẽ rồi vào Dimension/ Update là OK luôn (nhớ là phải để dim đó là dim hiện hành)
Hình đã gửi

ok ! chọn Update là được ! Cảm ơn bác nhé !
  • 0
Hoàng Giang